//index.js
//获取应用实例
const app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo

wxService.page({
  data: {
    motto: '开启广东7-Eleven会员专区',
    userInfo: {},
    hasUserInfo: false,
    env: envInfo.env
  },
  //事件处理函数
  bindViewTap: function() {
    wx.navigateTo({
      url: '../logs/logs'
    })
  },
  onShow(){
  },
  onLoad: function () {
    if (app.globalData.userInfo) {
      this.setData({
        userInfo: app.globalData.userInfo,
        hasUserInfo: true
      })
    } else if (this.data.canIUse){
      // 由于 getUserInfo 是网络请求，可能会在 Page.onLoad 之后才返回
      // 所以此处加入 callback 以防止这种情况
      app.userInfoReadyCallback = res => {
        this.setData({
          userInfo: res.userInfo,
          hasUserInfo: true
        })
      }
    } else {
      // 在没有 open-type=getUserInfo 版本的兼容处理
      wx.getUserInfo({
        success: res => {
          app.globalData.userInfo = res.userInfo
          this.setData({
            userInfo: res.userInfo,
            hasUserInfo: true
          })
        }
      })
    }
  },
  _getUserInfo(res = {}) {
    console.log('-------',res)
    const userInfo = res.detail || {}
    if (res.detail.userInfo){
      console.log('点击了同意')
      utils.getUserInfoByBtn(userInfo).then(({ token = '', data = {} }) => {
        wx.setStorageSync('_accreditUserInfo', userInfo)
        wx.hideNavigationBarLoading()
        if (token) {
          app.globalData.userNo = token.split('###')[0]
          wx.setStorageSync('token', token)
        } else {
          wx.setStorageSync('token', '')
        }
        if (data && data.isMember === '1') {
          app.globalData.openCard = true
          app.globalData.userInfo = wx.getStorageSync('_userInfo')
          cEvent.notify('openCardSuccess', data)
        }
        wx.setStorageSync('_baseUserInfo', data)

        this.setUserInfo()
      }).catch(err => {
        if (err && err.rspCode === -1) {
          wx.showToast({
            title: `会员系统异常请稍后重试!`,
            icon: 'none'
          })
        }
      })
    }else{
      console.log('点击了取消')
      wxService.router(`/pages/userCenter/userCenter`)
    }
   
  },
  setUserInfo: function (e) {
    console.log('开卡')
    wxService.router(`/pages/userCenter/userCenter`)

    // if (!app.globalData.openCard) { // 没有开卡并且需要开卡
    //   wxService.openCard()
    //   return false
    // }
    // const urls = getCurrentPages()
    // setTimeout(() => {
    //   const item = urls[0].options
    //   if (item.route) {
    //     try {
    //       const options = JSON.parse(item.options)
    //       wxService.router(`/${item.route}`).search(options).replace()
    //     } catch (e) {
    //       wx.switchTab({
    //         url: '/pages/userCenter/userCenter'
    //       })
    //     }
    //   } else {
    //     wx.switchTab({
    //       url: '/pages/userCenter/userCenter'
    //     })
    //   }
    // }, 200)

  }

})
